Множественные уязвимости в PHP

Дата публикации:
04.03.2009
Дата изменения:
30.04.2009
Всего просмотров:
2833
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5498
CVE-2009-1272
CVE-2009-1271
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Раскрытие важных данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP 5.2.x
Уязвимые версии: PHP версии до 5.2.9

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, получить доступ к важным данным и вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки в функции "imagerotate()". Удаленный пользователь может просмотреть произвольные участки памяти на системе.

2. Уязвимость существует из-за неизвестной ошибки в zip функционале. Злоумышленник может аварийно завершить работу приложения, если файл или директория содержат относительный путь.

3. Уязвимость существует из-за неизвестной ошибки в функции "explode()". Подробности уязвимости не сообщаются.

4. Уязвимость существует из-за ошибки при обработке входных данных в функции "json_decode()". Подробности уязвимости не сообщаются.

URL производителя: www.php.net

Решение: Установите последнюю версию 5.2.9 с сайта производителя.

Ссылки: http://www.php.net/releases/5_2_9.php

или введите имя

CAPTCHA